﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Data;

namespace ToggleViewer_Param
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        rptParam report;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                report = new rptParam();
                WebViewer1.Report = report;
                Session["connString"] = ((OleDBDataSource)report.DataSource).ConnectionString;
                Session["SQL"] = ((OleDBDataSource)report.DataSource).SQL;
            }
        }

        protected void btnToggle_Click(object sender, EventArgs e)
        {
            string paramValue = HiddenField1.Value.ToString();
            report = new rptParam();
            OleDBDataSource ole = new OleDBDataSource();
            ole.ConnectionString = Session["connString"].ToString();
            string sqlString = Session["SQL"].ToString().Replace("<%param:parameter1%>", paramValue);
            ole.SQL = sqlString;
            report.DataSource = ole;
            WebViewer1.ViewerType = GrapeCity.ActiveReports.Web.ViewerType.AcrobatReader;
            WebViewer1.Report = report;
        }
    }
}